# Items An item refers to a listing created by a user on the Wallapop marketplace, indicating their intent to sell. These items can include a diverse range of products. ## Create and publish an item - [POST /items](https://developers.wallapop.com/apis/items/items/createitem.md): Create and publish an item for sale in Wallapop. ## List items for sale - [GET /items](https://developers.wallapop.com/apis/items/items/useritems.md): Provides a list of items you have published for sale and that are available for buyers on Wallapop. ## Retrieve item details - [GET /items/{itemId}](https://developers.wallapop.com/apis/items/items/getitem.md): Retrieves details about an item that you have for sale. ## Update an item - [PUT /items/{itemId}](https://developers.wallapop.com/apis/items/items/updateitem.md): Update one of your items. ## Delete an item - [DELETE /items/{itemId}](https://developers.wallapop.com/apis/items/items/deleteitem.md): Delete a specific item by providing its ID. ## Add a image to an item - [POST /items/{itemId}/images](https://developers.wallapop.com/apis/items/items/additemimage.md): Add an additional image to the Wallapop item page. You can also arrange the display order of these images. ## Delete an image from an item - [DELETE /items/{itemId}/images/{imageId}](https://developers.wallapop.com/apis/items/items/deleteitemimage.md): Delete a image from an item by providing the ID of the item and image. ## Mark an item as sold - [PUT /items/{id}/sold](https://developers.wallapop.com/apis/items/items/markitemassold.md): Only applies to items sold outside of Wallapop. Change the item's status to "sold" after the payment has been completed outside of Wallapop. ## Publish an inactive item - [PUT /items/{id}/activate](https://developers.wallapop.com/apis/items/items/activateitem.md): If you have deactivated a published item, you can re-publish it by using this endpoint. Requires a Wallapop Pro subscription. Refer to Activating and deactivating products. ## Deactivate a published item - [PUT /items/{id}/inactivate](https://developers.wallapop.com/apis/items/items/inactivateitem.md): Deactivate a published item to hide it from buyers on Wallapop. Requires a Wallapop Pro subscription. Refer to Activating and deactivating products for more details. ## Reserve an item - [PUT /items/{id}/reserve](https://developers.wallapop.com/apis/items/items/reserveitem.md): Reserve a published item. ## Cancel an item reservation - [PUT /items/{id}/unreserve](https://developers.wallapop.com/apis/items/items/unreserveitem.md): Cancel an item reservation. ## Retrieve all categories - [GET /items/categories](https://developers.wallapop.com/apis/items/items/getcategories.md): Retrieve Wallaop's complete category hierarchy for items. This list will help you identify the categories that best classify the items you want to sell. ## Retrieve a category's attributes - [GET /items/categories/{id}/attributes](https://developers.wallapop.com/apis/items/items/getcategoryattributes.md): Returns the acceptable attributes for items categorized by category, including mandatory and optional attributes. ## List inactive items - [GET /items/inactive](https://developers.wallapop.com/apis/items/items/userinactiveitems.md): Returns a list of items that you have currently inactive (not available for buyers). ## Retrieve all categories - [GET /items/categories](https://developers.wallapop.com/apis/items/categories/getcategories.md): Retrieve Wallaop's complete category hierarchy for items. This list will help you identify the categories that best classify the items you want to sell. ## Retrieve a category's attributes - [GET /items/categories/{id}/attributes](https://developers.wallapop.com/apis/items/categories/getcategoryattributes.md): Returns the acceptable attributes for items categorized by category, including mandatory and optional attributes.